Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing.eprs
Class LogicalEPR

    java.lang.Object
      org.jboss.soa.esb.addressing.EPR
          org.jboss.soa.esb.addressing.eprs.LogicalEPR

    public class LogicalEPR

extends EPR

Logical EPR.

Logical EPRs allow services to be addressed by their "logical" (Vs physical) name.

Author:
  tom.fennelly@jboss.com

Field Summary

Fields inherited from class org.jboss.soa.esb.addressing.EPR
`_logger`

Constructor Summary
`LogicalEPR()`
`LogicalEPR(EPR epr)`
`LogicalEPR(EPR epr, org.w3c.dom.Element header)`
`LogicalEPR(PortReference addr)`
`LogicalEPR(java.lang.String serviceCategory, java.lang.String serviceName)`
`LogicalEPR(java.net.URI uri)`

Method Summary
`EPR` | `copy()` Return a copy of this EPR.
`ServiceInvoker` | `getServiceInvoker()`
`void` | `setAddr(PortReference addr)` Override the address of this EPR.
`Service` | `toService()`
`static java.net.URI` | `type()`

Methods inherited from class org.jboss.soa.esb.addressing.EPR
`equals, getAddr, getURI, setURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogicalEPR

    public LogicalEPR()

### LogicalEPR

    public LogicalEPR(PortReference addr)

### LogicalEPR

    public LogicalEPR(java.net.URI uri)

### LogicalEPR

    public LogicalEPR(EPR epr)

### LogicalEPR

    public LogicalEPR(EPR epr,
                      org.w3c.dom.Element header)

### LogicalEPR

    public LogicalEPR(java.lang.String serviceCategory,
                      java.lang.String serviceName)

Method Detail

### setAddr

    public void setAddr(PortReference addr)

  Description copied from class: `EPR`
  Override the address of this EPR.

  Overrides:
    `setAddr` in class `EPR`
  Parameters:
    `addr` - the new address.

### toService

    public Service toService()

### getServiceInvoker

    public ServiceInvoker getServiceInvoker()
                                     throws MessageDeliverException

  Throws:
    `MessageDeliverException`

### copy

    public EPR copy()

  Description copied from class: `EPR`
  Return a copy of this EPR.

  Overrides:
    `copy` in class `EPR`

### type

    public static java.net.URI type()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD